Dots on 16bit Video [82865G Integrated Graphics]

Bug #146728 reported by Kyle M Weller on 2007-09-29
12
Affects Status Importance Assigned to Milestone
compiz (Baltix)
Undecided
Unassigned
compiz (Ubuntu)
Undecided
Unassigned
linux-source-2.6.22 (Baltix)
Undecided
Unassigned
linux-source-2.6.22 (Ubuntu)
Undecided
Unassigned
xorg (Baltix)
Undecided
Unassigned
xorg (Ubuntu)
Undecided
Unassigned
xserver-xorg-driver-i810 (Ubuntu)
Undecided
Unassigned
xserver-xorg-video-intel (Ubuntu)
Medium
Unassigned

Bug Description

Video in xine & vlc is all full of dots on 16bit in Ubuntu Gutsy Beta

I have tried to run gstreamer-properties and select No Xv under plugins for video, and that doesnt seem to fix it, something wrong with the driver or xorg
defcon@ion:~$ lspci
00:00.0 Host bridge: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub Interface (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82865G Integrated Graphics Controller (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller (rev 02)
01:01.0 Modem: Intel Corporation FA82537EP 56K V.92 Data/Fax Modem PCI (rev 04)
01:08.0 Ethernet controller: Intel Corporation 82562EZ 10/100 Ethernet Controller (rev 02)

Kyle M Weller (kylew) wrote :

this only effects 16bit video, 24 bit video is fine but fps is very choppy minimizing/expanding video, and compiz is very choppy

Kyle M Weller (kylew) wrote :
Kyle M Weller (kylew) wrote :

^^ video of it happening

Kyle M Weller (kylew) wrote :

hmm for some reason it doesnt show up on the video, anyways there is little . . . . .. . . . . .. . . .. . . . . all over my screen in videos

Matthew Garrett (mjg59) wrote :

Please attach /etc/X11/xorg.conf

Changed in linux-source-2.6.22:
status: New → Invalid
status: New → Invalid
Changed in xorg:
status: New → Invalid
status: New → Invalid
Kyle M Weller (kylew) wrote :

here you go, note: i changed back to 24 bit, but it is extremely sluggish:

Kyle M Weller (kylew) wrote :
Kyle M Weller (kylew) wrote :
Kyle M Weller (kylew) wrote :

I see i915 module is loaded could this be a problem?

Kyle M Weller (kylew) wrote :

found another person with the choppy video problem running gutsy beta:
https://bugs.edge.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/144017
also I did not experience any laggy video in Feisty or any issues, I was happy with the video quality

Matthew Garrett (mjg59) wrote :

Flagging intel as invalid - log shows i810 is being used

Changed in xserver-xorg-video-intel:
status: New → Invalid
Kyle M Weller (kylew) wrote :

ok, so is this a problem with the i810 driver or x?

Kyle M Weller (kylew) wrote :

I found the problem, it has to do with compiz, when I have desktop-effects enabled and 16bit color, I have little dots all over the video, when I disable compiz/desktop-effects I do not get the dots all over the screen.
So this seems to be a compatibility issue or problem with compiz and i810 driver and should be fixed since 16bit enabled will give better effects which are faster.

Kyle M Weller (kylew) wrote :

one problem I am having as well in the driver is I get a pinkish tint to the panel's at the top and bottom as well as open applications that are greyish

Kyle M Weller (kylew) wrote :

latest intel driver update did not fix this issue

Bryce Harrington (bryce) wrote :

I've posted a .deb of the latest intel driver git HEAD here if you would like to test it:
http://people.ubuntu.com/~bryce/Testing/intel/xserver-xorg-video-intel_2.1.1~git20071004-0ubuntu1_i386.deb

Since it's straight out of git, it may include new issues. Direct rendering often stops working, for instance. However it would be interesting to hear if it addresses this issue or not.

Changed in xserver-xorg-video-intel:
status: Invalid → New
Kyle M Weller (kylew) wrote :

i tried updating it and it seems I have the newer driver installed, I appreciate the package, although I am still getting choppiness, pre-feisty was fine it seems there was a downgrade in performance somewhere...

Bryce Harrington (bryce) wrote :

Closing i810 task; this'll need to be fixed in the -intel bug.

Changed in xserver-xorg-driver-i810:
status: New → Invalid
Bryce Harrington (bryce) on 2007-10-21
Changed in xserver-xorg-video-intel:
importance: Undecided → Medium
status: New → Triaged

this is a HUGE problem, i cannot view any video's without dots all over
them, only full screen mode the dots are not present. The dots are present
when there is a xwindow open, you right click or there is any menu options
for x to draw.
note: Movies wont play in a window

this problem only exists when compiz is enabled in 16bit

Travis Watkins (amaranth) wrote :

This is in the driver, compiz doesn't draw dots for anything.

Changed in compiz:
status: New → Invalid
Jonno (jonnojohnson) wrote :

Never posted in one of these bug trackers so let me know if I can provide better info. I have the same problem with the grid of dots.
This is my video: "Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device" and it uses the i810 driver. I don't have Beryll/Compiz/DesktopEffects installed.
Changing the video overlay to not use Xv got rid of the dots with every movie player. However I found that the new Skype beta with video support required the Xv overlay so I was again stuck with dots.
I saw this thread and changed the video depth from 16 to 24 bits & voila it worked! Does seem to have slowed things down a bit though.
So I'd say this problem is a i810/Xv/16bit conflict.
Hope that helps,

Bryce Harrington (bryce) wrote :

Jonno or Kyle, can you please confirm what happens when using the -intel driver rather than -i810? Do you get the dots with -intel or just choppiness?

I ask because it's not likely we'll ever see a fix for i810 issues, however we stand a fair chance of getting issues on -intel fixed. Having the problems on -intel described in detail would be a very good first step towards achieving this.

Changed in xserver-xorg-video-intel:
status: Triaged → Incomplete

with 16 bit enabled I get dots on all videos through xine/vlc or mplayer
like this:
..........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
thanks
Kyle

Jonno (jonnojohnson) wrote :

I also got the dots with the Intel driver at 16 bits. Same exact
performance as the i810 driver.

On Nov 30, 2007 5:44 PM, Kyle Weller <email address hidden> wrote:
> with 16 bit enabled I get dots on all videos through xine/vlc or mplayer
> like this:
> ..........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
> thanks
> Kyle
>
>
> --
> Dots on 16bit Video [82865G Integrated Graphics]
> https://bugs.launchpad.net/bugs/146728
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Bryce Harrington (bryce) on 2007-12-04
Changed in xserver-xorg-video-intel:
status: Incomplete → Triaged
unggnu (unggnu) wrote :

The Hardy Heron Alpha series is currently under development and contains an updated version of the -intel driver. You can download and try the new Hardy Heron Alpha release from http://cdimage.ubuntu.com/releases/hardy/ . You should be able to test the new -intel driver using the LiveCD. If you can, please verify if this bug still exists or not and report back your results. General information regarding the release can also be found here: http://www.ubuntu.com/testing/ .
Thanks.

Changed in xserver-xorg-video-intel:
status: Triaged → Incomplete
Changed in compiz:
status: New → Invalid
unggnu (unggnu) wrote :

We are closing this bug report because it lacks the information we need to investigate the problem, as described in the previous comments. Please reopen it if you can give us the missing information, and don't hesitate to submit bug reports in the future. To reopen the bug report you can click on the current status, under the Status column, and change the Status back to "New". Thanks again!

Changed in xserver-xorg-video-intel:
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers